Updates the db_info_data_task object with the specified key ///

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

db_info_data_task
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
task_id

Foreign key of the object using his Wello Guid Primary Key

globally unique identifier

Optionally required : task_id or task_reference_back_office must be provided

task_reference_back_office

Foreign key of the object using ERP PK when adding/updating db_info_data

string

Optionally required : task_id or task_reference_back_office must be provided

db_info_field_id

globally unique identifier

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field_name

string

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field

db_info_field

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

value

The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields)

string

Required

reference_back_office

The Id/Ref of the back office for this object

string

Max length: 50

sys_logical_delete

sys_logical_delete

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "9b159aa5-e807-48d6-9452-29041d0f4e83",
  "task_id": "387e5b44-8cae-4158-bd52-76960d090cd3",
  "task_reference_back_office": "sample string 3",
  "db_info_field_id": "fd216c88-fe9c-4276-8b92-eb8bba2afe21",
  "db_info_field_name": "sample string 5",
  "value": "sample string 6",
  "reference_back_office": "sample string 7",
  "sys_logical_delete": true,
  "modified_dateutc": "2026-10-26T15:13:30.3196088+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.